Add vagrant-onap project
This commit contains the current state of the files and folders
imported from github repository[1]. Fixes and features are expected to
be implemented in this project.
[1] https://github.com/electrocucaracha/vagrant-onap
Change-Id: Ib1e8d264e9566c5e44454f5475b5da4638879cb7
Signed-off-by: Victor Morales <victor.morales@intel.com>
Issue-id: CIMAN-28
diff --git a/bootstrap/vagrant-onap/lib/asserts b/bootstrap/vagrant-onap/lib/asserts
new file mode 100755
index 0000000..0e45538
--- /dev/null
+++ b/bootstrap/vagrant-onap/lib/asserts
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+set -o xtrace
+
+# asserts_image() - Function that verifies if a specific image was created
+function asserts_image {
+ if [[ "$(docker images -q $1 2> /dev/null)" == "" ]]; then
+ echo "There is no $1 image"
+ exit 1
+ fi
+}